> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galtea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get evaluations

> Get list of evaluations with pagination and filtering. See [Evaluations](https://docs.galtea.ai/concepts/product/version/session/evaluation).



## OpenAPI

````yaml https://api.galtea.ai/openapi.json get /evaluations
openapi: 3.0.0
info:
  version: 1.0.0
  title: Product Management Service API
  description: API documentation for Product Management Service
  contact:
    name: Galtea AI
servers:
  - url: https://api.galtea.ai
security:
  - bearerAuth: []
tags: []
externalDocs:
  description: Galtea Platform Documentation
  url: https://docs.galtea.ai
paths:
  /evaluations:
    get:
      tags:
        - evaluations
      summary: Get evaluations
      description: >-
        Get list of evaluations with pagination and filtering. See
        [Evaluations](https://docs.galtea.ai/concepts/product/version/session/evaluation).
      operationId: getEvaluations
      parameters:
        - schema:
            type: array
            items:
              type: string
            description: Filter by evaluation IDs
          required: false
          description: Filter by evaluation IDs
          style: form
          explode: true
          name: ids
          in: query
        - schema:
            type: array
            items:
              type: string
            description: Filter by product IDs
          required: false
          description: Filter by product IDs
          style: form
          explode: true
          name: productIds
          in: query
        - schema:
            type: array
            items:
              type: string
            description: Filter by session IDs
          required: false
          description: Filter by session IDs
          style: form
          explode: true
          name: sessionIds
          in: query
        - schema:
            type: array
            items:
              type: string
            description: Filter by inference result IDs (for single-turn evaluations)
          required: false
          description: Filter by inference result IDs (for single-turn evaluations)
          style: form
          explode: true
          name: inferenceResultIds
          in: query
        - schema:
            type: array
            items:
              type: string
            description: Filter by metric IDs
          required: false
          description: Filter by metric IDs
          style: form
          explode: true
          name: metricIds
          in: query
        - schema:
            type: array
            items:
              type: string
            description: Filter by metric group IDs (matches all revisions of a metric)
          required: false
          description: Filter by metric group IDs (matches all revisions of a metric)
          style: form
          explode: true
          name: metricGroupIds
          in: query
        - schema:
            type: array
            items:
              type: string
            description: Filter by test case IDs
          required: false
          description: Filter by test case IDs
          style: form
          explode: true
          name: testCaseIds
          in: query
        - schema:
            type: array
            items:
              type: string
            description: >-
              Filter by test IDs (include only). Use an empty string ("") to
              select evaluations without a test
          required: false
          description: >-
            Filter by test IDs (include only). Use an empty string ("") to
            select evaluations without a test
          style: form
          explode: true
          name: testIds
          in: query
        - schema:
            type: array
            items:
              type: string
            description: >-
              Omit evaluations linked to the specified test IDs. Use an empty
              string ("") to omit evaluations without a test
          required: false
          description: >-
            Omit evaluations linked to the specified test IDs. Use an empty
            string ("") to omit evaluations without a test
          style: form
          explode: true
          name: excludeTestIds
          in: query
        - schema:
            type: array
            items:
              type: string
            description: Filter by version IDs
          required: false
          description: Filter by version IDs
          style: form
          explode: true
          name: versionIds
          in: query
        - schema:
            type: array
            items:
              type: string
            description: >-
              Filter by specification IDs (returns evaluations whose metric is
              linked to any of the given specifications)
          required: false
          description: >-
            Filter by specification IDs (returns evaluations whose metric is
            linked to any of the given specifications)
          style: form
          explode: true
          name: specificationIds
          in: query
        - schema:
            type: array
            items:
              type: string
              enum:
                - PENDING
                - PENDING_HUMAN
                - SUCCESS
                - FAILED
                - SKIPPED
                - CANCELLED
            description: Filter by evaluation statuses
          required: false
          description: Filter by evaluation statuses
          style: form
          explode: true
          name: statuses
          in: query
        - schema:
            type: array
            items:
              type: string
            description: Filter by evaluation types
          required: false
          description: Filter by evaluation types
          style: form
          explode: true
          name: evaluationTypes
          in: query
        - schema:
            type: array
            items:
              type: string
            description: Filter by metric sources
          required: false
          description: Filter by metric sources
          style: form
          explode: true
          name: metricSources
          in: query
        - schema:
            type: array
            items:
              type: string
            description: Sort instructions (field and direction pairs)
          required: false
          description: Sort instructions (field and direction pairs)
          style: form
          explode: true
          name: sort
          in: query
        - schema:
            type: boolean
            description: Filter evaluations that can be retried
          required: false
          description: Filter evaluations that can be retried
          name: canRetry
          in: query
        - schema:
            type: boolean
            description: Filter evaluations by whether their test case is augmented
          required: false
          description: Filter evaluations by whether their test case is augmented
          name: augmentedTestCase
          in: query
        - schema:
            type: boolean
            description: >-
              Filter evaluations by the joined `Session.isProduction` flag.
              Prefer this over the legacy `testIds`/`excludeTestIds`
              empty-string trick.
          required: false
          description: >-
            Filter evaluations by the joined `Session.isProduction` flag. Prefer
            this over the legacy `testIds`/`excludeTestIds` empty-string trick.
          name: isProduction
          in: query
        - schema:
            type: string
            description: Filter by human evaluator user ID
          required: false
          description: Filter by human evaluator user ID
          name: humanEvaluatorId
          in: query
        - schema:
            type: string
            format: date-time
            description: >-
              Filter evaluations created at or after this timestamp (ISO 8601
              format)
          required: false
          description: >-
            Filter evaluations created at or after this timestamp (ISO 8601
            format)
          name: fromCreatedAt
          in: query
        - schema:
            type: string
            format: date-time
            description: >-
              Filter evaluations created at or before this timestamp (ISO 8601
              format)
          required: false
          description: >-
            Filter evaluations created at or before this timestamp (ISO 8601
            format)
          name: toCreatedAt
          in: query
        - schema:
            type: integer
            minimum: 0
            maximum: 9007199254740991
            default: 10000
            description: Maximum number of results
          required: false
          description: Maximum number of results
          name: limit
          in: query
        - schema:
            type: integer
            minimum: 0
            default: 0
            description: Number of results to skip
          required: false
          description: Number of results to skip
          name: offset
          in: query
      responses:
        '200':
          description: Evaluations retrieved successfully
          headers:
            Content-Range:
              schema:
                type: string
                description: >-
                  Pagination range as `evaluations
                  <offset>-<upperBound>/<total>`.
              required: true
              description: Pagination range as `evaluations <offset>-<upperBound>/<total>`.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Evaluation'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Evaluation:
      type: object
      properties:
        id:
          type: string
          example: eval_123
        metricId:
          type: string
          example: metric_123
        sessionId:
          type: string
          example: session_123
        userId:
          type: string
          nullable: true
          example: user_123
        status:
          type: string
          enum:
            - PENDING
            - PENDING_HUMAN
            - SUCCESS
            - FAILED
            - SKIPPED
            - CANCELLED
          example: SUCCESS
        testCaseId:
          type: string
          nullable: true
          example: tc_123
        inferenceResultId:
          type: string
          nullable: true
          example: ir_123
        score:
          type: number
          nullable: true
          example: 0.95
        reason:
          type: string
          nullable: true
          example: High quality response
        error:
          type: string
          nullable: true
        canRetry:
          type: boolean
          nullable: true
          example: false
        creditsUsed:
          type: integer
          nullable: true
          example: 1
        conversationSimulatorVersion:
          type: string
          nullable: true
          example: 1.0.0
        humanEvaluatorId:
          type: string
          nullable: true
          description: User ID of the human evaluator
        humanEvaluatorStartedAt:
          type: string
          format: date-time
          nullable: true
        humanScore:
          type: number
          nullable: true
          description: Human-provided annotation score
        humanReason:
          type: string
          nullable: true
          description: Human-provided annotation reason
        humanEvaluatorFinishedAt:
          type: string
          nullable: true
          format: date-time
          description: Timestamp when human evaluation was submitted
        failedTurns:
          type: array
          items:
            type: string
          description: Conversation turns that failed
        createdAt:
          type: string
          format: date-time
        deletedAt:
          type: string
          format: date-time
          nullable: true
        evaluatedAt:
          type: string
          format: date-time
          nullable: true
        metricLegacyAt:
          type: string
          format: date-time
          nullable: true
        metricDisabledAt:
          type: string
          format: date-time
          nullable: true
        testCaseLegacyAt:
          type: string
          format: date-time
          nullable: true
      required:
        - id
        - metricId
        - sessionId
        - userId
        - status
        - testCaseId
        - inferenceResultId
        - score
        - reason
        - error
        - canRetry
        - creditsUsed
        - conversationSimulatorVersion
        - humanEvaluatorId
        - humanEvaluatorStartedAt
        - humanScore
        - humanReason
        - humanEvaluatorFinishedAt
        - failedTurns
        - deletedAt
        - evaluatedAt
        - metricLegacyAt
        - metricDisabledAt
        - testCaseLegacyAt
    Error:
      type: object
      properties:
        error:
          type: string
          example: Error type
        message:
          type: string
          example: Error message description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authorization. Pass your API key in the Authorization header as
        a Bearer token. Both new (`gsk_*`) and legacy (`gsk-`) API keys are
        accepted, e.g. `Authorization: Bearer gsk_...` or `Authorization: Bearer
        gsk-...`.

````